Bug 509300

Summary: KDE: screen brightness increases when going into higher power savings modes
Product: [Fedora] Fedora Reporter: Vinod Kutty <vendor-redhat>
Component: kdebase-workspaceAssignee: Ngo Than <than>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: fedora, jreznik, kevin, lorenzo, ltinkl, mathstuf, rdieter, smparrish, than
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-12 19:56:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vinod Kutty 2009-07-02 00:07:50 EDT
Description of problem:

In KDE, I've set my screen brightness (Dell E6500 laptop) as low as possible so my eyes don't hurt. As my battery power drops, KDE switches to higher power savings modes, but the default brightness levels are all higher than my normal performance and powersave profiles.

The result is that when my battery is low, the screen brightness increases. This is extremely un-intuitive and a source of entertainment for myself and my co-workers 8-). I had to spend a lot of time trying to fix each power profile.

Another related problem is that the brightness settings are not easy to find. For example, why do I have to click on the battery meter icon next to the system tray to find the screen brightness slider? 

In the above situation, what's even funnier is that when the screen brightness increases after going into more agressive power saving state, the brightness slider (when you click on the batter meter) remains unchanged. So if you move the slider slightly to the right, the current brightness actually *decreases* (because the slider reflects what I set, whereas the power profile has a completely different value).

The out-of-box experience for an end user should be much better than this. This is really horrible as it stands.


Version-Release number of selected component (if applicable):
Fedora 11 - kdebase-workspace-4.2.4-3.fc11.x86_64


How reproducible:
Every time.

Steps to Reproduce:
1.See above
2.
3.
  
Actual results:
Brightness levels are not intuitive, and opposite of what you'd expect if you try to adjust your current profile.

Expected results:

See above. What's really needed is a "remember my last brightness setting" and possibly something based on relative rather than absolute adjustments.

Additional info: GNOME is better than this, but it has its own quirks.
Comment 1 Kevin Kofler 2009-07-02 05:16:14 EDT
The bad defaults are bizarre and almost certainly a bug (it seems to be hardware-dependent, on my notebook computer, it does the right thing), the slider not updating when the profile changes are definitely a bug too (but a separate bug).

As for this:
> Another related problem is that the brightness settings are not easy to find.
> For example, why do I have to click on the battery meter icon next to the
> system tray to find the screen brightness slider?
Because the battery meter is the frontend for power management. This has been the established UI in KDE for ages (at least since KPowersave).
Comment 2 Vinod Kutty 2009-07-07 23:24:51 EDT
(In reply to comment #1)

> As for this:
> > Another related problem is that the brightness settings are not easy to find.
> > For example, why do I have to click on the battery meter icon next to the
> > system tray to find the screen brightness slider?
> Because the battery meter is the frontend for power management. This has been
> the established UI in KDE for ages (at least since KPowersave).  

I haven't used KDE in a while 8-)

I think this is poor UI design.

It may make sense from a *developer* perspective, but even then it doesn't take into account the more common need to adjust screen brightness for eye comfort (i.e. a subjective preference that is NOT based on a desire to manage power consumption).

More importantly, from an end user perspective, an icon for a battery is not intuitively related to screen brightness, especially when there is an icon for a display in the system tray that seems a more obvious place to put this. Brightness is first and foremost a property of the display/screen that a user might want to change in normal operation. Power consumption is a side effect of changing brightness.

I hope a more intuitive UI design can be implemented. It would help anyone inexperienced with KDE quirks.
Comment 3 Steven M. Parrish 2009-07-22 10:24:37 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Steven M. Parrish 2009-09-12 19:56:56 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Kevin Kofler 2009-10-25 11:20:29 EDT
*** Bug 509295 has been marked as a duplicate of this bug. ***
Comment 6 Kevin Kofler 2009-10-25 11:21:40 EDT
Uh, forget that, it's not the same issue.